aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws

Contents

- Logging
- Configuration
- Transaction runners
  - Safe runners
  - Unsafe runners
  - URI runners
  - Iterated runners
- Response
  - Full HTTP response
  - Metadata in responses
  - Memory responses
  - Exception types
- Query
  - Service configuration
  - Expiration
- Transactions
- Credentials

Synopsis

- data LogLevel
  - = Debug
  - | Info
  - | Warning
  - | Error
- type Logger = LogLevel -> Text -> IO ()
- defaultLog :: LogLevel -> Logger
- data Configuration = Configuration {
  - timeInfo :: TimeInfo
  - credentials :: Credentials
  - logger :: Logger
  - proxy :: Maybe Proxy
  }
- baseConfiguration :: MonadIO io => io Configuration
- dbgConfiguration :: MonadIO io => io Configuration
- aws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a)
- awsRef :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a
- pureAws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO a
- simpleAws :: (Transaction r a, AsMemoryResponse a, MonadIO io) => Configuration -> ServiceConfiguration r NormalQuery -> r -> io (MemoryResponse a)
- unsafeAws :: (ResponseConsumer r a, Loggable (ResponseMetadata a), SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a)
- unsafeAwsRef :: (ResponseConsumer r a, SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a
- awsUri :: (SignQuery request, MonadIO io) => Configuration -> ServiceConfiguration request UriOnlyQuery -> request -> io ByteString
- awsIteratedSource :: IteratedTransaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall i. ConduitT i (Response (ResponseMetadata a) a) (ResourceT IO) ()
- awsIteratedList :: (IteratedTransaction r a, ListResponse a i) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall j. ConduitT j i (ResourceT IO) ()
- type HTTPResponseConsumer a = Response (ConduitM () ByteString (ResourceT IO) ()) -> ResourceT IO a
- data Response m a = Response {
  - responseMetadata :: m
  - responseResult :: Either SomeException a
  }
- readResponse :: MonadThrow n => Response m a -> n a
- readResponseIO :: MonadIO io => Response m a -> io a
- type family ResponseMetadata resp
- class AsMemoryResponse resp where
  - type MemoryResponse resp
  - loadToMemory :: resp -> ResourceT IO (MemoryResponse resp)
- newtype XmlException = XmlException {
  - xmlErrorMessage :: String
  }
- newtype HeaderException = HeaderException {
  - headerErrorMessage :: String
  }
- newtype FormException = FormException {
  - formErrorMesage :: String
  }
- type family ServiceConfiguration request :: Type -> Type
- class DefaultServiceConfiguration config where
  - defServiceConfig :: config
  - debugServiceConfig :: config
- data NormalQuery
- data UriOnlyQuery
- data TimeInfo
  - = Timestamp
  - | ExpiresAt {
    - fromExpiresAt :: UTCTime
    }
  - | ExpiresIn {
    - fromExpiresIn :: NominalDiffTime
    }
- class (SignQuery r, ResponseConsumer r a, Loggable (ResponseMetadata a)) => Transaction r a | r -> a
- class Transaction r a => IteratedTransaction r a | r -> a
- data Credentials = Credentials {
  - accessKeyID :: ByteString
  - secretAccessKey :: ByteString
  - v4SigningKeys :: IORef [V4Key]
  - iamToken :: Maybe ByteString
  - isAnonymousCredentials :: Bool
  }
- makeCredentials :: MonadIO io => ByteString -> ByteString -> io Credentials
- credentialsDefaultFile :: MonadIO io => io (Maybe FilePath)
- credentialsDefaultKey :: Text
- loadCredentialsFromFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsFromEnv :: MonadIO io => io (Maybe Credentials)
- loadCredentialsFromInstanceMetadata :: MonadIO io => io (Maybe Credentials)
- loadCredentialsFromEnvOrFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsFromEnvOrFileOrInstanceMetadata :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsDefault :: MonadIO io => io (Maybe Credentials)
- anonymousCredentials :: MonadIO io => io Credentials

# Logging

data LogLevel #

The severity of a log message, in rising order.

Constructors

Debug |
Info |
Warning |
Error |

#### Instances

Instances details

Show LogLevel # |
Instance details Defined in Aws.Aws Methods showsPrec :: Int -> LogLevel -> ShowS # show :: LogLevel -> String # showList :: [LogLevel] -> ShowS #
Eq LogLevel # |
Instance details Defined in Aws.Aws Methods (==) :: LogLevel -> LogLevel -> Bool # (/=) :: LogLevel -> LogLevel -> Bool #
Ord LogLevel # |
Instance details Defined in Aws.Aws Methods compare :: LogLevel -> LogLevel -> Ordering # (<) :: LogLevel -> LogLevel -> Bool # (<=) :: LogLevel -> LogLevel -> Bool # (>) :: LogLevel -> LogLevel -> Bool # (>=) :: LogLevel -> LogLevel -> Bool # max :: LogLevel -> LogLevel -> LogLevel # min :: LogLevel -> LogLevel -> LogLevel #

type Logger = LogLevel -> Text -> IO () #

The interface for any logging function. Takes log level and a log message, and can perform an arbitrary IO action.

defaultLog :: LogLevel -> Logger #

The default logger `defaultLog minLevel`, which prints log messages above level `minLevel` to `stderr`.

# Configuration

data Configuration #

The configuration for an AWS request. You can use multiple configurations in parallel, even over the same HTTP connection manager.

Constructors

Configuration |

Fields

- timeInfo :: TimeInfo

  Whether to restrict the signature validity with a plain timestamp, or with explicit expiration (absolute or relative).

- credentials :: Credentials

  AWS access credentials.

- logger :: Logger

  The error / message logger.

- proxy :: Maybe Proxy

baseConfiguration :: MonadIO io => io Configuration #

The default configuration, with credentials loaded from environment variable or configuration file (see `loadCredentialsDefault`).

dbgConfiguration :: MonadIO io => io Configuration #

Debug configuration, which logs much more verbosely.

# Transaction runners

## Safe runners

aws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a) #

Run an AWS transaction, with HTTP manager and metadata wrapped in a `Response`.

All errors are caught and wrapped in the `Response` value.

Metadata is logged at level `Info`.

Usage (with existing `Manager`): `resp <- aws cfg serviceCfg manager request`

awsRef :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a #

Run an AWS transaction, with HTTP manager and metadata returned in an `IORef`.

Errors are not caught, and need to be handled with exception handlers.

Metadata is not logged.

Usage (with existing `Manager`): `ref <- newIORef mempty; resp <- awsRef cfg serviceCfg manager request`

pureAws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO a #

Run an AWS transaction, with HTTP manager and without metadata.

Metadata is logged at level `Info`.

Usage (with existing `Manager`): `resp <- aws cfg serviceCfg manager request`

simpleAws :: (Transaction r a, AsMemoryResponse a, MonadIO io) => Configuration -> ServiceConfiguration r NormalQuery -> r -> io (MemoryResponse a) #

Run an AWS transaction, without HTTP manager and without metadata.

Metadata is logged at level `Info`.

Note that this is potentially less efficient than using `aws`, because HTTP connections cannot be re-used.

Usage: `resp <- simpleAws cfg serviceCfg request`

## Unsafe runners

unsafeAws :: (ResponseConsumer r a, Loggable (ResponseMetadata a), SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a) #

Run an AWS transaction, without enforcing that response and request type form a valid transaction pair.

This is especially useful for debugging and development, you should not have to use it in production.

All errors are caught and wrapped in the `Response` value.

Metadata is wrapped in the Response, and also logged at level `Info`.

unsafeAwsRef :: (ResponseConsumer r a, SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a #

Run an AWS transaction, without enforcing that response and request type form a valid transaction pair.

This is especially useful for debugging and development, you should not have to use it in production.

Errors are not caught, and need to be handled with exception handlers.

Metadata is put in the `IORef`, but not logged.

## URI runners

awsUri :: (SignQuery request, MonadIO io) => Configuration -> ServiceConfiguration request UriOnlyQuery -> request -> io ByteString #

Run a URI-only AWS transaction. Returns a URI that can be sent anywhere. Does not work with all requests.

Usage: `uri <- awsUri cfg request`

## Iterated runners

awsIteratedSource :: IteratedTransaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall i. ConduitT i (Response (ResponseMetadata a) a) (ResourceT IO) () #

awsIteratedList :: (IteratedTransaction r a, ListResponse a i) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall j. ConduitT j i (ResourceT IO) () #

# Response

## Full HTTP response

type HTTPResponseConsumer a = Response (ConduitM () ByteString (ResourceT IO) ()) -> ResourceT IO a #

A full HTTP response parser. Takes HTTP status, response headers, and response body.

## Metadata in responses

data Response m a #

A response with metadata. Can also contain an error response, or an internal error, via `Attempt`.

Response forms a Writer-like monad.

Constructors

Response |

Fields

- responseMetadata :: m
- responseResult :: Either SomeException a

#### Instances

Instances details

Monoid m => MonadThrow (Response m) # |
Instance details Defined in Aws.Core Methods throwM :: (HasCallStack, Exception e) => e -> Response m a #
Monoid m => Applicative (Response m) # |
Instance details Defined in Aws.Core Methods pure :: a -> Response m a # (<*>) :: Response m (a -> b) -> Response m a -> Response m b # liftA2 :: (a -> b -> c) -> Response m a -> Response m b -> Response m c # (*>) :: Response m a -> Response m b -> Response m b # (<*) :: Response m a -> Response m b -> Response m a #
Functor (Response m) # |
Instance details Defined in Aws.Core Methods fmap :: (a -> b) -> Response m a -> Response m b # (<$) :: a -> Response m b -> Response m a #
Monoid m => Monad (Response m) # |
Instance details Defined in Aws.Core Methods (>>=) :: Response m a -> (a -> Response m b) -> Response m b # (>>) :: Response m a -> Response m b -> Response m b # return :: a -> Response m a #
(Show m, Show a) => Show (Response m a) # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Response m a -> ShowS # show :: Response m a -> String # showList :: [Response m a] -> ShowS #

readResponse :: MonadThrow n => Response m a -> n a #

Read a response result (if it's a success response, fail otherwise).

readResponseIO :: MonadIO io => Response m a -> io a #

Read a response result (if it's a success response, fail otherwise). In MonadIO.

type family ResponseMetadata resp #

Metadata associated with a response. Typically there is one metadata type for each AWS service.

#### Instances

Instances details

type ResponseMetadata BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse
type ResponseMetadata BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse
type ResponseMetadata DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse
type ResponseMetadata GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse
type ResponseMetadata PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ResponseMetadata PutItemResponse = DdbResponse
type ResponseMetadata QueryResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Query type ResponseMetadata QueryResponse = DdbResponse
type ResponseMetadata ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse
type ResponseMetadata CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse
type ResponseMetadata DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse
type ResponseMetadata DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse
type ResponseMetadata ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse
type ResponseMetadata UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse
type ResponseMetadata UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ResponseMetadata UpdateItemResponse = DdbResponse
type ResponseMetadata AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata
type ResponseMetadata CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata
type ResponseMetadata CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata
type ResponseMetadata CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata
type ResponseMetadata DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata
type ResponseMetadata DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata
type ResponseMetadata DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata
type ResponseMetadata DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata
type ResponseMetadata DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata
type ResponseMetadata GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata
type ResponseMetadata GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata
type ResponseMetadata GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata
type ResponseMetadata ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata
type ResponseMetadata ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata
type ResponseMetadata ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata
type ResponseMetadata ListMfaDevicesResponse # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ResponseMetadata ListMfaDevicesResponse = IamMetadata
type ResponseMetadata ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata
type ResponseMetadata ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata
type ResponseMetadata PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata
type ResponseMetadata PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata
type ResponseMetadata RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata
type ResponseMetadata UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata
type ResponseMetadata UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata
type ResponseMetadata UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata
type ResponseMetadata CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata
type ResponseMetadata DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata
type ResponseMetadata DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata
type ResponseMetadata DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata
type ResponseMetadata DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata
type ResponseMetadata GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata
type ResponseMetadata GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata
type ResponseMetadata GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata
type ResponseMetadata GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata
type ResponseMetadata GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata
type ResponseMetadata GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata
type ResponseMetadata HeadObjectResponse # |
Instance details Defined in Aws.S3.Commands.HeadObject type ResponseMetadata HeadObjectResponse = S3Metadata
type ResponseMetadata AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata
type ResponseMetadata CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata
type ResponseMetadata InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata
type ResponseMetadata UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata
type ResponseMetadata PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata
type ResponseMetadata PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata
type ResponseMetadata PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject type ResponseMetadata PutObjectResponse = S3Metadata
type ResponseMetadata DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata
type ResponseMetadata GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata
type ResponseMetadata GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata
type ResponseMetadata GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata
type ResponseMetadata ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata
type ResponseMetadata SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata
type ResponseMetadata SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata
type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata
type ResponseMetadata SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata
type ResponseMetadata VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata
type ResponseMetadata VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata
type ResponseMetadata VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata
type ResponseMetadata BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata
type ResponseMetadata BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata
type ResponseMetadata DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata
type ResponseMetadata GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata
type ResponseMetadata PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata
type ResponseMetadata CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata
type ResponseMetadata DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata
type ResponseMetadata DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata
type ResponseMetadata ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata
type ResponseMetadata SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata
type ResponseMetadata ChangeMessageVisibilityResponse # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata ChangeMessageVisibilityResponse = SqsMetadata
type ResponseMetadata DeleteMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata DeleteMessageResponse = SqsMetadata
type ResponseMetadata ReceiveMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata ReceiveMessageResponse = SqsMetadata
type ResponseMetadata SendMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata SendMessageResponse = SqsMetadata
type ResponseMetadata AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata
type ResponseMetadata RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata
type ResponseMetadata CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata
type ResponseMetadata DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata
type ResponseMetadata ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata
type ResponseMetadata GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata
type ResponseMetadata SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata
type ResponseMetadata (Response ByteString) # |
Instance details Defined in Aws.Core type ResponseMetadata (Response ByteString) = ()

## Memory responses

class AsMemoryResponse resp where #

Class for responses that are fully loaded into memory

Associated Types

type MemoryResponse resp #

Methods

loadToMemory :: resp -> ResourceT IO (MemoryResponse resp) #

#### Instances

Instances details

AsMemoryResponse BatchGetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type MemoryResponse BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse

Methods

loadToMemory :: BatchGetItemResponse -> ResourceT IO (MemoryResponse BatchGetItemResponse) #

AsMemoryResponse BatchWriteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type MemoryResponse BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse

Methods

loadToMemory :: BatchWriteItemResponse -> ResourceT IO (MemoryResponse BatchWriteItemResponse) #

AsMemoryResponse DeleteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type MemoryResponse DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse

Methods

loadToMemory :: DeleteItemResponse -> ResourceT IO (MemoryResponse DeleteItemResponse) #

AsMemoryResponse GetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type MemoryResponse GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse

Methods

loadToMemory :: GetItemResponse -> ResourceT IO (MemoryResponse GetItemResponse) #

AsMemoryResponse PutItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type MemoryResponse PutItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type MemoryResponse PutItemResponse = PutItemResponse

Methods

loadToMemory :: PutItemResponse -> ResourceT IO (MemoryResponse PutItemResponse) #

AsMemoryResponse QueryResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Query

Associated Types

type MemoryResponse QueryResponse |
Instance details Defined in Aws.DynamoDb.Commands.Query type MemoryResponse QueryResponse = QueryResponse

Methods

loadToMemory :: QueryResponse -> ResourceT IO (MemoryResponse QueryResponse) #

AsMemoryResponse ScanResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type MemoryResponse ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse

Methods

loadToMemory :: ScanResponse -> ResourceT IO (MemoryResponse ScanResponse) #

AsMemoryResponse CreateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription

Methods

loadToMemory :: CreateTableResult -> ResourceT IO (MemoryResponse CreateTableResult) #

AsMemoryResponse DeleteTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription

Methods

loadToMemory :: DeleteTableResult -> ResourceT IO (MemoryResponse DeleteTableResult) #

AsMemoryResponse DescribeTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription

Methods

loadToMemory :: DescribeTableResult -> ResourceT IO (MemoryResponse DescribeTableResult) #

AsMemoryResponse ListTablesResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]

Methods

loadToMemory :: ListTablesResult -> ResourceT IO (MemoryResponse ListTablesResult) #

AsMemoryResponse UpdateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription

Methods

loadToMemory :: UpdateTableResult -> ResourceT IO (MemoryResponse UpdateTableResult) #

AsMemoryResponse UpdateItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type MemoryResponse UpdateItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type MemoryResponse UpdateItemResponse = UpdateItemResponse

Methods

loadToMemory :: UpdateItemResponse -> ResourceT IO (MemoryResponse UpdateItemResponse) #

AsMemoryResponse AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type MemoryResponse AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse

Methods

loadToMemory :: AddUserToGroupResponse -> ResourceT IO (MemoryResponse AddUserToGroupResponse) #

AsMemoryResponse CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type MemoryResponse CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse

Methods

loadToMemory :: CreateAccessKeyResponse -> ResourceT IO (MemoryResponse CreateAccessKeyResponse) #

AsMemoryResponse CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type MemoryResponse CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse

Methods

loadToMemory :: CreateGroupResponse -> ResourceT IO (MemoryResponse CreateGroupResponse) #

AsMemoryResponse CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type MemoryResponse CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse

Methods

loadToMemory :: CreateUserResponse -> ResourceT IO (MemoryResponse CreateUserResponse) #

AsMemoryResponse DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type MemoryResponse DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse

Methods

loadToMemory :: DeleteAccessKeyResponse -> ResourceT IO (MemoryResponse DeleteAccessKeyResponse) #

AsMemoryResponse DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type MemoryResponse DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse

Methods

loadToMemory :: DeleteGroupResponse -> ResourceT IO (MemoryResponse DeleteGroupResponse) #

AsMemoryResponse DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type MemoryResponse DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

Methods

loadToMemory :: DeleteGroupPolicyResponse -> ResourceT IO (MemoryResponse DeleteGroupPolicyResponse) #

AsMemoryResponse DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type MemoryResponse DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse

Methods

loadToMemory :: DeleteUserResponse -> ResourceT IO (MemoryResponse DeleteUserResponse) #

AsMemoryResponse DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type MemoryResponse DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse

Methods

loadToMemory :: DeleteUserPolicyResponse -> ResourceT IO (MemoryResponse DeleteUserPolicyResponse) #

AsMemoryResponse GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type MemoryResponse GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse

Methods

loadToMemory :: GetGroupPolicyResponse -> ResourceT IO (MemoryResponse GetGroupPolicyResponse) #

AsMemoryResponse GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type MemoryResponse GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse

Methods

loadToMemory :: GetUserResponse -> ResourceT IO (MemoryResponse GetUserResponse) #

AsMemoryResponse GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type MemoryResponse GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse

Methods

loadToMemory :: GetUserPolicyResponse -> ResourceT IO (MemoryResponse GetUserPolicyResponse) #

AsMemoryResponse ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type MemoryResponse ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse

Methods

loadToMemory :: ListAccessKeysResponse -> ResourceT IO (MemoryResponse ListAccessKeysResponse) #

AsMemoryResponse ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type MemoryResponse ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse

Methods

loadToMemory :: ListGroupPoliciesResponse -> ResourceT IO (MemoryResponse ListGroupPoliciesResponse) #

AsMemoryResponse ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type MemoryResponse ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse

Methods

loadToMemory :: ListGroupsResponse -> ResourceT IO (MemoryResponse ListGroupsResponse) #

AsMemoryResponse ListMfaDevicesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type MemoryResponse ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type MemoryResponse ListMfaDevicesResponse = ListMfaDevicesResponse

Methods

loadToMemory :: ListMfaDevicesResponse -> ResourceT IO (MemoryResponse ListMfaDevicesResponse) #

AsMemoryResponse ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type MemoryResponse ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse

Methods

loadToMemory :: ListUserPoliciesResponse -> ResourceT IO (MemoryResponse ListUserPoliciesResponse) #

AsMemoryResponse ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type MemoryResponse ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse

Methods

loadToMemory :: ListUsersResponse -> ResourceT IO (MemoryResponse ListUsersResponse) #

AsMemoryResponse PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type MemoryResponse PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse

Methods

loadToMemory :: PutGroupPolicyResponse -> ResourceT IO (MemoryResponse PutGroupPolicyResponse) #

AsMemoryResponse PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type MemoryResponse PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse

Methods

loadToMemory :: PutUserPolicyResponse -> ResourceT IO (MemoryResponse PutUserPolicyResponse) #

AsMemoryResponse RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type MemoryResponse RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

Methods

loadToMemory :: RemoveUserFromGroupResponse -> ResourceT IO (MemoryResponse RemoveUserFromGroupResponse) #

AsMemoryResponse UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type MemoryResponse UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse

Methods

loadToMemory :: UpdateAccessKeyResponse -> ResourceT IO (MemoryResponse UpdateAccessKeyResponse) #

AsMemoryResponse UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type MemoryResponse UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse

Methods

loadToMemory :: UpdateGroupResponse -> ResourceT IO (MemoryResponse UpdateGroupResponse) #

AsMemoryResponse UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type MemoryResponse UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse

Methods

loadToMemory :: UpdateUserResponse -> ResourceT IO (MemoryResponse UpdateUserResponse) #

AsMemoryResponse CopyObjectResponse # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type MemoryResponse CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse

Methods

loadToMemory :: CopyObjectResponse -> ResourceT IO (MemoryResponse CopyObjectResponse) #

AsMemoryResponse DeleteBucketResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type MemoryResponse DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse

Methods

loadToMemory :: DeleteBucketResponse -> ResourceT IO (MemoryResponse DeleteBucketResponse) #

AsMemoryResponse DeleteObjectResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type MemoryResponse DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse

Methods

loadToMemory :: DeleteObjectResponse -> ResourceT IO (MemoryResponse DeleteObjectResponse) #

AsMemoryResponse DeleteObjectVersionResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type MemoryResponse DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse

Methods

loadToMemory :: DeleteObjectVersionResponse -> ResourceT IO (MemoryResponse DeleteObjectVersionResponse) #

AsMemoryResponse DeleteObjectsResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type MemoryResponse DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse

Methods

loadToMemory :: DeleteObjectsResponse -> ResourceT IO (MemoryResponse DeleteObjectsResponse) #

AsMemoryResponse GetBucketResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type MemoryResponse GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse

Methods

loadToMemory :: GetBucketResponse -> ResourceT IO (MemoryResponse GetBucketResponse) #

AsMemoryResponse GetBucketLocationResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type MemoryResponse GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse

Methods

loadToMemory :: GetBucketLocationResponse -> ResourceT IO (MemoryResponse GetBucketLocationResponse) #

AsMemoryResponse GetBucketObjectVersionsResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type MemoryResponse GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse

Methods

loadToMemory :: GetBucketObjectVersionsResponse -> ResourceT IO (MemoryResponse GetBucketObjectVersionsResponse) #

AsMemoryResponse GetBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type MemoryResponse GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse

Methods

loadToMemory :: GetBucketVersioningResponse -> ResourceT IO (MemoryResponse GetBucketVersioningResponse) #

AsMemoryResponse GetObjectResponse # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type MemoryResponse GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse

Methods

loadToMemory :: GetObjectResponse -> ResourceT IO (MemoryResponse GetObjectResponse) #

AsMemoryResponse GetServiceResponse # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type MemoryResponse GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse

Methods

loadToMemory :: GetServiceResponse -> ResourceT IO (MemoryResponse GetServiceResponse) #

AsMemoryResponse HeadObjectResponse # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type MemoryResponse HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type MemoryResponse HeadObjectResponse = HeadObjectMemoryResponse

Methods

loadToMemory :: HeadObjectResponse -> ResourceT IO (MemoryResponse HeadObjectResponse) #

AsMemoryResponse AbortMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse

Methods

loadToMemory :: AbortMultipartUploadResponse -> ResourceT IO (MemoryResponse AbortMultipartUploadResponse) #

AsMemoryResponse CompleteMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse

Methods

loadToMemory :: CompleteMultipartUploadResponse -> ResourceT IO (MemoryResponse CompleteMultipartUploadResponse) #

AsMemoryResponse InitiateMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse

Methods

loadToMemory :: InitiateMultipartUploadResponse -> ResourceT IO (MemoryResponse InitiateMultipartUploadResponse) #

AsMemoryResponse UploadPartResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse

Methods

loadToMemory :: UploadPartResponse -> ResourceT IO (MemoryResponse UploadPartResponse) #

AsMemoryResponse PutBucketResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type MemoryResponse PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse

Methods

loadToMemory :: PutBucketResponse -> ResourceT IO (MemoryResponse PutBucketResponse) #

AsMemoryResponse PutBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type MemoryResponse PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse

Methods

loadToMemory :: PutBucketVersioningResponse -> ResourceT IO (MemoryResponse PutBucketVersioningResponse) #

AsMemoryResponse PutObjectResponse # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type MemoryResponse PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type MemoryResponse PutObjectResponse = PutObjectResponse

Methods

loadToMemory :: PutObjectResponse -> ResourceT IO (MemoryResponse PutObjectResponse) #

AsMemoryResponse DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type MemoryResponse DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse

Methods

loadToMemory :: DeleteIdentityResponse -> ResourceT IO (MemoryResponse DeleteIdentityResponse) #

AsMemoryResponse GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type MemoryResponse GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse

Methods

loadToMemory :: GetIdentityDkimAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityDkimAttributesResponse) #

AsMemoryResponse GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type MemoryResponse GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse

Methods

loadToMemory :: GetIdentityNotificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityNotificationAttributesResponse) #

AsMemoryResponse GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type MemoryResponse GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse

Methods

loadToMemory :: GetIdentityVerificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityVerificationAttributesResponse) #

AsMemoryResponse ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type MemoryResponse ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse

Methods

loadToMemory :: ListIdentitiesResponse -> ResourceT IO (MemoryResponse ListIdentitiesResponse) #

AsMemoryResponse SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type MemoryResponse SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse

Methods

loadToMemory :: SendRawEmailResponse -> ResourceT IO (MemoryResponse SendRawEmailResponse) #

AsMemoryResponse SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type MemoryResponse SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

Methods

loadToMemory :: SetIdentityDkimEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityDkimEnabledResponse) #

AsMemoryResponse SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

Methods

loadToMemory :: SetIdentityFeedbackForwardingEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityFeedbackForwardingEnabledResponse) #

AsMemoryResponse SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type MemoryResponse SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse

Methods

loadToMemory :: SetIdentityNotificationTopicResponse -> ResourceT IO (MemoryResponse SetIdentityNotificationTopicResponse) #

AsMemoryResponse VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type MemoryResponse VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse

Methods

loadToMemory :: VerifyDomainDkimResponse -> ResourceT IO (MemoryResponse VerifyDomainDkimResponse) #

AsMemoryResponse VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type MemoryResponse VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse

Methods

loadToMemory :: VerifyDomainIdentityResponse -> ResourceT IO (MemoryResponse VerifyDomainIdentityResponse) #

AsMemoryResponse VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type MemoryResponse VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

Methods

loadToMemory :: VerifyEmailIdentityResponse -> ResourceT IO (MemoryResponse VerifyEmailIdentityResponse) #

AsMemoryResponse BatchDeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse

Methods

loadToMemory :: BatchDeleteAttributesResponse -> ResourceT IO (MemoryResponse BatchDeleteAttributesResponse) #

AsMemoryResponse BatchPutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse

Methods

loadToMemory :: BatchPutAttributesResponse -> ResourceT IO (MemoryResponse BatchPutAttributesResponse) #

AsMemoryResponse DeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse

Methods

loadToMemory :: DeleteAttributesResponse -> ResourceT IO (MemoryResponse DeleteAttributesResponse) #

AsMemoryResponse GetAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse

Methods

loadToMemory :: GetAttributesResponse -> ResourceT IO (MemoryResponse GetAttributesResponse) #

AsMemoryResponse PutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse

Methods

loadToMemory :: PutAttributesResponse -> ResourceT IO (MemoryResponse PutAttributesResponse) #

AsMemoryResponse CreateDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse

Methods

loadToMemory :: CreateDomainResponse -> ResourceT IO (MemoryResponse CreateDomainResponse) #

AsMemoryResponse DeleteDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse

Methods

loadToMemory :: DeleteDomainResponse -> ResourceT IO (MemoryResponse DeleteDomainResponse) #

AsMemoryResponse DomainMetadataResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse

Methods

loadToMemory :: DomainMetadataResponse -> ResourceT IO (MemoryResponse DomainMetadataResponse) #

AsMemoryResponse ListDomainsResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse

Methods

loadToMemory :: ListDomainsResponse -> ResourceT IO (MemoryResponse ListDomainsResponse) #

AsMemoryResponse SelectResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type MemoryResponse SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse

Methods

loadToMemory :: SelectResponse -> ResourceT IO (MemoryResponse SelectResponse) #

AsMemoryResponse ChangeMessageVisibilityResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse ChangeMessageVisibilityResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse ChangeMessageVisibilityResponse = ChangeMessageVisibilityResponse

Methods

loadToMemory :: ChangeMessageVisibilityResponse -> ResourceT IO (MemoryResponse ChangeMessageVisibilityResponse) #

AsMemoryResponse DeleteMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse DeleteMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse DeleteMessageResponse = DeleteMessageResponse

Methods

loadToMemory :: DeleteMessageResponse -> ResourceT IO (MemoryResponse DeleteMessageResponse) #

AsMemoryResponse ReceiveMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse ReceiveMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse ReceiveMessageResponse = ReceiveMessageResponse

Methods

loadToMemory :: ReceiveMessageResponse -> ResourceT IO (MemoryResponse ReceiveMessageResponse) #

AsMemoryResponse SendMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse SendMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse SendMessageResponse = SendMessageResponse

Methods

loadToMemory :: SendMessageResponse -> ResourceT IO (MemoryResponse SendMessageResponse) #

AsMemoryResponse AddPermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse

Methods

loadToMemory :: AddPermissionResponse -> ResourceT IO (MemoryResponse AddPermissionResponse) #

AsMemoryResponse RemovePermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse

Methods

loadToMemory :: RemovePermissionResponse -> ResourceT IO (MemoryResponse RemovePermissionResponse) #

AsMemoryResponse CreateQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse

Methods

loadToMemory :: CreateQueueResponse -> ResourceT IO (MemoryResponse CreateQueueResponse) #

AsMemoryResponse DeleteQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse

Methods

loadToMemory :: DeleteQueueResponse -> ResourceT IO (MemoryResponse DeleteQueueResponse) #

AsMemoryResponse ListQueuesResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse

Methods

loadToMemory :: ListQueuesResponse -> ResourceT IO (MemoryResponse ListQueuesResponse) #

AsMemoryResponse GetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse

Methods

loadToMemory :: GetQueueAttributesResponse -> ResourceT IO (MemoryResponse GetQueueAttributesResponse) #

AsMemoryResponse SetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse

Methods

loadToMemory :: SetQueueAttributesResponse -> ResourceT IO (MemoryResponse SetQueueAttributesResponse) #

## Exception types

newtype XmlException #

An error that occurred during XML parsing / validation.

Constructors

XmlException |

Fields

- xmlErrorMessage :: String

#### Instances

Instances details

Exception XmlException # |
Instance details Defined in Aws.Core Methods toException :: XmlException -> SomeException # fromException :: SomeException -> Maybe XmlException # displayException :: XmlException -> String # backtraceDesired :: XmlException -> Bool #
Show XmlException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> XmlException -> ShowS # show :: XmlException -> String # showList :: [XmlException] -> ShowS #

newtype HeaderException #

An error that occurred during header parsing / validation.

Constructors

HeaderException |

Fields

- headerErrorMessage :: String

#### Instances

Instances details

Exception HeaderException # |
Instance details Defined in Aws.Core Methods toException :: HeaderException -> SomeException # fromException :: SomeException -> Maybe HeaderException # displayException :: HeaderException -> String # backtraceDesired :: HeaderException -> Bool #
Show HeaderException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> HeaderException -> ShowS # show :: HeaderException -> String # showList :: [HeaderException] -> ShowS #

newtype FormException #

An error that occurred during form parsing / validation.

Constructors

FormException |

Fields

- formErrorMesage :: String

#### Instances

Instances details

Exception FormException # |
Instance details Defined in Aws.Core Methods toException :: FormException -> SomeException # fromException :: SomeException -> Maybe FormException # displayException :: FormException -> String # backtraceDesired :: FormException -> Bool #
Show FormException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> FormException -> ShowS # show :: FormException -> String # showList :: [FormException] -> ShowS #

# Query

## Service configuration

type family ServiceConfiguration request :: Type -> Type #

Additional information, like API endpoints and service-specific preferences.

#### Instances

Instances details

type ServiceConfiguration BatchGetItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration
type ServiceConfiguration BatchWriteItem # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration
type ServiceConfiguration DeleteItem # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration
type ServiceConfiguration GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration
type ServiceConfiguration PutItem # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ServiceConfiguration PutItem = DdbConfiguration
type ServiceConfiguration Query # |
Instance details Defined in Aws.DynamoDb.Commands.Query type ServiceConfiguration Query = DdbConfiguration
type ServiceConfiguration Scan # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration
type ServiceConfiguration CreateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration
type ServiceConfiguration DeleteTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration
type ServiceConfiguration DescribeTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration
type ServiceConfiguration ListTables # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration
type ServiceConfiguration UpdateTable # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration
type ServiceConfiguration UpdateItem # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ServiceConfiguration UpdateItem = DdbConfiguration
type ServiceConfiguration AddUserToGroup # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration
type ServiceConfiguration CreateAccessKey # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration
type ServiceConfiguration CreateGroup # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration
type ServiceConfiguration CreateUser # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration
type ServiceConfiguration DeleteAccessKey # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration
type ServiceConfiguration DeleteGroup # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration
type ServiceConfiguration DeleteGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration
type ServiceConfiguration DeleteUser # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration
type ServiceConfiguration DeleteUserPolicy # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration
type ServiceConfiguration GetGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration
type ServiceConfiguration GetUser # |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration
type ServiceConfiguration GetUserPolicy # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration
type ServiceConfiguration ListAccessKeys # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration
type ServiceConfiguration ListGroupPolicies # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration
type ServiceConfiguration ListGroups # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration
type ServiceConfiguration ListMfaDevices # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ServiceConfiguration ListMfaDevices = IamConfiguration
type ServiceConfiguration ListUserPolicies # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration
type ServiceConfiguration ListUsers # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration
type ServiceConfiguration PutGroupPolicy # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration
type ServiceConfiguration PutUserPolicy # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration
type ServiceConfiguration RemoveUserFromGroup # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration
type ServiceConfiguration UpdateAccessKey # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration
type ServiceConfiguration UpdateGroup # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration
type ServiceConfiguration UpdateUser # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration
type ServiceConfiguration CopyObject # |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration
type ServiceConfiguration DeleteBucket # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration
type ServiceConfiguration DeleteObject # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration
type ServiceConfiguration DeleteObjectVersion # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration
type ServiceConfiguration DeleteObjects # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration
type ServiceConfiguration GetBucket # |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration
type ServiceConfiguration GetBucketLocation # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration
type ServiceConfiguration GetBucketObjectVersions # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration
type ServiceConfiguration GetBucketVersioning # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration
type ServiceConfiguration GetObject # |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration
type ServiceConfiguration GetService # |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration
type ServiceConfiguration HeadObject # |
Instance details Defined in Aws.S3.Commands.HeadObject type ServiceConfiguration HeadObject = S3Configuration
type ServiceConfiguration AbortMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration
type ServiceConfiguration CompleteMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration
type ServiceConfiguration InitiateMultipartUpload # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration
type ServiceConfiguration UploadPart # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration
type ServiceConfiguration PutBucket # |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration
type ServiceConfiguration PutBucketVersioning # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration
type ServiceConfiguration PutObject # |
Instance details Defined in Aws.S3.Commands.PutObject type ServiceConfiguration PutObject = S3Configuration
type ServiceConfiguration DeleteIdentity # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration
type ServiceConfiguration GetIdentityDkimAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration
type ServiceConfiguration GetIdentityNotificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration
type ServiceConfiguration GetIdentityVerificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration
type ServiceConfiguration ListIdentities # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration
type ServiceConfiguration SendRawEmail # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration
type ServiceConfiguration SetIdentityDkimEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration
type ServiceConfiguration SetIdentityFeedbackForwardingEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration
type ServiceConfiguration SetIdentityNotificationTopic # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration
type ServiceConfiguration VerifyDomainDkim # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration
type ServiceConfiguration VerifyDomainIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration
type ServiceConfiguration VerifyEmailIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration
type ServiceConfiguration BatchDeleteAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration
type ServiceConfiguration BatchPutAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration
type ServiceConfiguration DeleteAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration
type ServiceConfiguration GetAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration
type ServiceConfiguration PutAttributes # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration
type ServiceConfiguration CreateDomain # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration
type ServiceConfiguration DeleteDomain # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration
type ServiceConfiguration DomainMetadata # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration
type ServiceConfiguration ListDomains # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration
type ServiceConfiguration Select # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration
type ServiceConfiguration ChangeMessageVisibility # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration ChangeMessageVisibility = SqsConfiguration
type ServiceConfiguration DeleteMessage # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration DeleteMessage = SqsConfiguration
type ServiceConfiguration ReceiveMessage # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration ReceiveMessage = SqsConfiguration
type ServiceConfiguration SendMessage # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration SendMessage = SqsConfiguration
type ServiceConfiguration AddPermission # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration
type ServiceConfiguration RemovePermission # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration
type ServiceConfiguration CreateQueue # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration
type ServiceConfiguration DeleteQueue # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration
type ServiceConfiguration ListQueues # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration
type ServiceConfiguration GetQueueAttributes # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration
type ServiceConfiguration SetQueueAttributes # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

class DefaultServiceConfiguration config where #

Default configuration for a specific service.

Minimal complete definition

defServiceConfig

Methods

defServiceConfig :: config #

Default service configuration.

debugServiceConfig :: config #

Default debugging-only configuration. (Normally using HTTP instead of HTTPS for easier debugging.)

#### Instances

Instances details

DefaultServiceConfiguration (DdbConfiguration NormalQuery) # |
Instance details Defined in Aws.DynamoDb.Core Methods defServiceConfig :: DdbConfiguration NormalQuery # debugServiceConfig :: DdbConfiguration NormalQuery #
DefaultServiceConfiguration (IamConfiguration NormalQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration NormalQuery # debugServiceConfig :: IamConfiguration NormalQuery #
DefaultServiceConfiguration (IamConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration UriOnlyQuery # debugServiceConfig :: IamConfiguration UriOnlyQuery #
DefaultServiceConfiguration (S3Configuration NormalQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration NormalQuery # debugServiceConfig :: S3Configuration NormalQuery #
DefaultServiceConfiguration (S3Configuration UriOnlyQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration UriOnlyQuery # debugServiceConfig :: S3Configuration UriOnlyQuery #
DefaultServiceConfiguration (SesConfiguration NormalQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery # debugServiceConfig :: SesConfiguration NormalQuery #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery # debugServiceConfig :: SesConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery # debugServiceConfig :: SdbConfiguration NormalQuery #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery # debugServiceConfig :: SdbConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery # debugServiceConfig :: SqsConfiguration NormalQuery #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery # debugServiceConfig :: SqsConfiguration UriOnlyQuery #

data NormalQuery #

Tag type for normal queries.

#### Instances

Instances details

DefaultServiceConfiguration (DdbConfiguration NormalQuery) # |
Instance details Defined in Aws.DynamoDb.Core Methods defServiceConfig :: DdbConfiguration NormalQuery # debugServiceConfig :: DdbConfiguration NormalQuery #
DefaultServiceConfiguration (IamConfiguration NormalQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration NormalQuery # debugServiceConfig :: IamConfiguration NormalQuery #
DefaultServiceConfiguration (S3Configuration NormalQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration NormalQuery # debugServiceConfig :: S3Configuration NormalQuery #
DefaultServiceConfiguration (SesConfiguration NormalQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery # debugServiceConfig :: SesConfiguration NormalQuery #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery # debugServiceConfig :: SdbConfiguration NormalQuery #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery # debugServiceConfig :: SqsConfiguration NormalQuery #
Default (DdbConfiguration NormalQuery) # |
Instance details Defined in Aws.DynamoDb.Core Methods def :: DdbConfiguration NormalQuery #

data UriOnlyQuery #

Tag type for URI-only queries.

#### Instances

Instances details

DefaultServiceConfiguration (IamConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration UriOnlyQuery # debugServiceConfig :: IamConfiguration UriOnlyQuery #
DefaultServiceConfiguration (S3Configuration UriOnlyQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration UriOnlyQuery # debugServiceConfig :: S3Configuration UriOnlyQuery #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery # debugServiceConfig :: SesConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery # debugServiceConfig :: SdbConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery # debugServiceConfig :: SqsConfiguration UriOnlyQuery #

## Expiration

data TimeInfo #

Whether to restrict the signature validity with a plain timestamp, or with explicit expiration (absolute or relative).

Constructors

Timestamp | Use a simple timestamp to let AWS check the request validity.
ExpiresAt | Let requests expire at a specific fixed time.

Fields

- fromExpiresAt :: UTCTime

ExpiresIn | Let requests expire a specific number of seconds after they were generated.

Fields

- fromExpiresIn :: NominalDiffTime

#### Instances

Instances details

Show TimeInfo # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> TimeInfo -> ShowS # show :: TimeInfo -> String # showList :: [TimeInfo] -> ShowS #

# Transactions

class (SignQuery r, ResponseConsumer r a, Loggable (ResponseMetadata a)) => Transaction r a | r -> a #

Associates a request type and a response type in a bi-directional way.

This allows the type-checker to infer the response type when given the request type and vice versa.

Note that the actual request generation and response parsing resides in `SignQuery` and `ResponseConsumer` respectively.

#### Instances

Instances details

Transaction BatchGetItem BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
Transaction BatchWriteItem BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
Transaction DeleteItem DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
Transaction GetItem GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
Transaction PutItem PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem
Transaction Query QueryResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Query
Transaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
Transaction CreateTable CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction DeleteTable DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction DescribeTable DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction ListTables ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction UpdateTable UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction UpdateItem UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem
Transaction AddUserToGroup AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
Transaction CreateAccessKey CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
Transaction CreateGroup CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
Transaction CreateUser CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser
Transaction DeleteAccessKey DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
Transaction DeleteGroup DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
Transaction DeleteGroupPolicy DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
Transaction DeleteUser DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
Transaction DeleteUserPolicy DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
Transaction GetGroupPolicy GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
Transaction GetUser GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser
Transaction GetUserPolicy GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
Transaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
Transaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
Transaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups
Transaction ListMfaDevices ListMfaDevicesResponse # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices
Transaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
Transaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers
Transaction PutGroupPolicy PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
Transaction PutUserPolicy PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
Transaction RemoveUserFromGroup RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
Transaction UpdateAccessKey UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
Transaction UpdateGroup UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
Transaction UpdateUser UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
Transaction CopyObject CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject
Transaction DeleteBucket DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
Transaction DeleteObject DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject
Transaction DeleteObjectVersion DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
Transaction DeleteObjects DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
Transaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket
Transaction GetBucketLocation GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
Transaction GetBucketVersioning GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
Transaction GetObject GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject
Transaction GetService GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService
Transaction HeadObject HeadObjectResponse # |
Instance details Defined in Aws.S3.Commands.HeadObject
Transaction AbortMultipartUpload AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction CompleteMultipartUpload CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction InitiateMultipartUpload InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction UploadPart UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction PutBucket PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket
Transaction PutBucketVersioning PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
Transaction PutObject PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject
Transaction DeleteIdentity DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
Transaction ListIdentities ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
Transaction SendRawEmail SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
Transaction VerifyDomainDkim VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
Transaction VerifyDomainIdentity VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
Transaction VerifyEmailIdentity VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
Transaction BatchDeleteAttributes BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction BatchPutAttributes BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction DeleteAttributes DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction GetAttributes GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction PutAttributes PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction CreateDomain CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction DeleteDomain DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction DomainMetadata DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select
Transaction ChangeMessageVisibility ChangeMessageVisibilityResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction DeleteMessage DeleteMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction ReceiveMessage ReceiveMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction SendMessage SendMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction AddPermission AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
Transaction RemovePermission RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
Transaction CreateQueue CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction DeleteQueue DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction ListQueues ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction GetQueueAttributes GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
Transaction SetQueueAttributes SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes

class Transaction r a => IteratedTransaction r a | r -> a #

A transaction that may need to be split over multiple requests, for example because of upstream response size limits.

Minimal complete definition

nextIteratedRequest

#### Instances

Instances details

IteratedTransaction Query QueryResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Query Methods nextIteratedRequest :: Query -> QueryResponse -> Maybe Query #
IteratedTransaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan #
IteratedTransaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys #
IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies #
IteratedTransaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups #
IteratedTransaction ListMfaDevices ListMfaDevicesResponse # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods nextIteratedRequest :: ListMfaDevices -> ListMfaDevicesResponse -> Maybe ListMfaDevices #
IteratedTransaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies #
IteratedTransaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers #
IteratedTransaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions #
IteratedTransaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains #
IteratedTransaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select #

# Credentials

data Credentials #

AWS access credentials.

Constructors

Credentials |

Fields

- accessKeyID :: ByteString

  AWS Access Key ID.

- secretAccessKey :: ByteString

  AWS Secret Access Key.

- v4SigningKeys :: IORef [V4Key]

  Signing keys for signature version 4

- iamToken :: Maybe ByteString

  Signed IAM token

- isAnonymousCredentials :: Bool

  Set when the credentials are intended for anonymous access.

#### Instances

Instances details

Show Credentials # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Credentials -> ShowS # show :: Credentials -> String # showList :: [Credentials] -> ShowS #

makeCredentials #

Arguments

:: MonadIO io |
=> ByteString | AWS Access Key ID
-> ByteString | AWS Secret Access Key
-> io Credentials |

credentialsDefaultFile :: MonadIO io => io (Maybe FilePath) #

The file where access credentials are loaded, when using `loadCredentialsDefault`. May return `Nothing` if `HOME` is unset.

Value: directory`/.aws-keys`

credentialsDefaultKey :: Text #

The key to be used in the access credential file that is loaded, when using `loadCredentialsDefault`.

Value: `default`

loadCredentialsFromFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) #

Load credentials from a (text) file given a key name.

The file consists of a sequence of lines, each in the following format:

    keyName awsKeyID awsKeySecret

loadCredentialsFromEnv :: MonadIO io => io (Maybe Credentials) #

Load credentials from the environment variables `AWS_ACCESS_KEY_ID` and `AWS_ACCESS_KEY_SECRET` (or `AWS_SECRET_ACCESS_KEY`), if possible.

loadCredentialsFromInstanceMetadata :: MonadIO io => io (Maybe Credentials) #

loadCredentialsFromEnvOrFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) #

Load credentials from environment variables if possible, or alternatively from a file with a given key name.

See `loadCredentialsFromEnv` and `loadCredentialsFromFile` for details.

loadCredentialsFromEnvOrFileOrInstanceMetadata :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) #

Load credentials from environment variables if possible, or alternatively from the instance metadata store, or alternatively from a file with a given key name.

See `loadCredentialsFromEnv`, `loadCredentialsFromFile` and `loadCredentialsFromInstanceMetadata` for details.

loadCredentialsDefault :: MonadIO io => io (Maybe Credentials) #

Load credentials from environment variables if possible, or alternative from the default file with the default key name.

Default file: directory`/.aws-keys` Default key name: `default`

See `loadCredentialsFromEnv` and `loadCredentialsFromFile` for details.

anonymousCredentials :: MonadIO io => io Credentials #

Make a dummy Credentials that can be used to access some AWS services anonymously.